Bug 668240 - Review Request: clapham - Railroad diagram generator
Summary: Review Request: clapham - Railroad diagram generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-09 11:05 UTC by Eric Smith
Modified: 2011-05-19 04:54 UTC (History)
4 users (show)

Fixed In Version: clapham-0.1.003-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 01:04:59 UTC
mario.blaettermann: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2011-01-09 11:05:50 UTC
Spec URL: http://fedorapeople.org/~brouhaha/clapham/clapham.spec
SRPM URL: http://fedorapeople.org/~brouhaha/clapham/clapham-0.1.003-1.fc14.src.rpm
Koji scratch build for dist-14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2710468
Description:
Clapham is an open-source railroad diagram generator.
Railroad diagrams are a graphical way of representing the grammar of a
computer language. When a computer language is large, even people who
use the language day-to-day have trouble remembering its nuances. A
railroad diagram represents the grammar visually, and is easier to
understand by non- or semi-technical users.

Comment 1 Mario Blättermann 2011-04-02 22:17:50 UTC
$ rpmlint -v *
clapham.src: I: checking
clapham.src: I: checking-url http://clapham.hydromatic.net/ (timeout 10 seconds)
clapham.src: I: checking-url http://downloads.sourceforge.net/clapham/clapham-0.1.003-src.zip (timeout 10 seconds)
clapham.spec: I: checking-url http://downloads.sourceforge.net/clapham/clapham-0.1.003-src.zip (timeout 10 seconds)
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues from rpmlint, OK.

Some hints anyway:

- For better consistency, replace all occurences of th package name with %{name}.
- In my mind, it's better to use the universal "install" command instead of "cp".
- To avoid ambiguity, you could append "...for computer languages" to summary.
  Otherwise, readers could assume it is a generator for railway maps ;-)

Comment 2 Eric Smith 2011-04-07 10:24:39 UTC
Thanks for reviewing this!

Changed more occurences of package name to %{name} per your suggestion.

I don't see how install is in any way better than cp here.  However, I have replaced the first two uses of cp with install.  Since install does not appear to have a recursive option, and use of find with install definitely doesn't improve the clarity, I have retained the use of cp -a for that one.

Changed the summary per your suggestion.

Spec URL: http://fedorapeople.org/~brouhaha/clapham/clapham.spec
SRPM URL:
http://fedorapeople.org/~brouhaha/clapham/clapham-0.1.003-2.fc14.src.rpm

Comment 3 Martin Gieseking 2011-04-07 11:49:24 UTC
Eric, please also add short comments to the spec file about what the patches do.

The license of the package isn't GPLv2+ because of the addition "or (at your option) any later version approved by The Eigenbase Project" given in the source file headers. What are the approved versions? I can't find any information on this. If GPLv3 has been approved, the License tag would be "GPLv2 or GPLv3". Otherwise, it's just GPLv2. You should ask upstream for clarification.

Comment 4 Eric Smith 2011-04-11 19:09:32 UTC
No word from upstream yet.  I've changed it to GPLv2 with a comment explaining the reason.  I also added comments about the patches.  Thanks for the suggestions.

Spec URL: http://fedorapeople.org/~brouhaha/clapham/clapham.spec
SRPM URL:
http://fedorapeople.org/~brouhaha/clapham/clapham-0.1.003-3.fc14.src.rpm

Comment 5 Mario Blättermann 2011-04-27 07:30:52 UTC
Sorry for the delay.

$ rpmlint -v clapham*
clapham.src: I: checking
clapham.src: I: checking-url http://clapham.hydromatic.net/ (timeout 10 seconds)
clapham.src: I: checking-url http://downloads.sourceforge.net/clapham/clapham-0.1.003-src.zip (timeout 10 seconds)
clapham.noarch: I: checking
clapham.noarch: I: checking-url http://clapham.hydromatic.net/ (timeout 10 seconds)
clapham.noarch: W: no-manual-page-for-binary clapham
clapham-javadoc.noarch: I: checking
clapham-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
clapham-javadoc.noarch: I: checking-url http://clapham.hydromatic.net/ (timeout 10 seconds)
clapham.spec: I: checking-url http://downloads.sourceforge.net/clapham/clapham-0.1.003-src.zip (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3029051

Informal review will follow immediately.

Comment 6 Mario Blättermann 2011-04-27 08:03:45 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2
[+] MUST: The License field in the package spec file must match the actual
license.
    -see the note in the spec file.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[x] MUST: The spec file must be written in American English.
    - Please correct the small spelling error.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum clapham*
    97a38474095b142936d6bb922a178773  clapham-0.1.003-src.zip
    97a38474095b142936d6bb922a178773  clapham-0.1.003-src.zip.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available, see above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[x] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
    I miss the dependency to the base package:
    Requires: Requires: %{name} = %{version}-%{release}
    This dependency is not picked up automatically.

[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 7 Eric Smith 2011-04-27 17:58:14 UTC
Spec URL: http://fedorapeople.org/~brouhaha/clapham/clapham.spec
SRPM URL:
http://fedorapeople.org/~brouhaha/clapham/clapham-0.1.003-4.fc14.src.rpm

I added the subpackage dependency.

I'm not aware of any spelling error.  If you're referring to the warning from rpmlint, that is spurious.  "Javadocs" is spelled correctly, and is the preferred description of javadoc subpackages.  For instance, do a "yum search javadocs" and look at the summaries.  If there is another spelling error that I am not aware of, please let me know specifically what it is, and I'll be happy to fix it.

Thanks for reviewing this package!
Eric

Comment 8 Mario Blättermann 2011-04-27 19:23:06 UTC
(In reply to comment #7)
> I'm not aware of any spelling error.

Sorry for the blurb, this was an artifact from a former review.

Your package looks good now.

------------------------------

PACKAGE APPROVED

------------------------------

Comment 9 Eric Smith 2011-04-28 00:14:43 UTC
New Package SCM Request
=======================
Package Name: clapham
Short Description: Railroad diagram generator for computer languages
Owners: brouhaha
Branches: f14 f15 el6
InitialCC:

Comment 10 Dennis Gilmore 2011-04-28 16:19:30 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-04-29 08:36:48 UTC
clapham-0.1.003-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/clapham-0.1.003-4.fc15

Comment 12 Fedora Update System 2011-04-29 08:37:03 UTC
clapham-0.1.003-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clapham-0.1.003-4.fc14

Comment 13 Fedora Update System 2011-04-29 08:37:30 UTC
clapham-0.1.003-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clapham-0.1.003-4.el6

Comment 14 Fedora Update System 2011-04-29 19:06:43 UTC
clapham-0.1.003-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2011-05-17 01:04:53 UTC
clapham-0.1.003-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-05-19 04:54:43 UTC
clapham-0.1.003-4.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.